\documentclass[10pt,a4paper]{refart}

\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage[english]{isodate}
\usepackage[parfill]{parskip}

\usepackage{float}
\usepackage{graphicx}
\usepackage{listings}
\usepackage{color}
\usepackage{textcomp,tipa}

\usepackage{amssymb}
\usepackage[normalem]{ulem}
\usepackage{hyperref}
\usepackage{feynmp}
\usepackage{etoolbox}
\usepackage{ifpdf}
\ifpdf
\DeclareGraphicsRule{*}{mps}{*}{}
\fi
\usepackage{multirow}
\usepackage{subfigure}
\usepackage{pdflscape}
%% \usepackage{subfig}
\usepackage{textpos}
\usepackage{pdfpages}
\usepackage{tikz}

\usepackage{pgfplots}
\usetikzlibrary{positioning}
% ,positioning-plus,node-families}
% \usetikzlibrary{geometric,fit}
\usetikzlibrary{fit}
\usetikzlibrary{backgrounds}
\usetikzlibrary{calc}
\usetikzlibrary{shapes,shadows,arrows}
\usetikzlibrary{mindmap}
\usetikzlibrary{decorations.text}
\pgfplotsset{compat=1.7}

\title{GEM OOS DB Technical Specifications}
\author{GEM Commissioining, Operations, and Online Software Group}
\date{\today}

\begin{document}

\maketitle

%% \pagenumbering{Roman}
%% \tableofcontents
%% \newpage
%% \listoffigures
%% \newpage
%% \listoftables
%% \newpage
%% \pagenumbering{arabic}

\section{Outline}
\label{sec:outline}
This document aims to provide a concise set of functional requirements for the GEM Commissioning, Operations, and Online Software group's usage of the database.
The functional needs are broadly grouped into three main areas:
\begin{itemize}
\item Insertion of data into the database
\item Extraction of data from the database
\item Visualization of data in the database
\end{itemize}

Section~\ref{sec:details} will describe in details the needed tables, and Sec.~\ref{sec:requirements} will describe the requirements for loading, extracting, validation, and visualization.

Section~\ref{sec:status} summarizes the state of the art.

\input{gem-spec-common-terminology}

\newpage

\section{Details}
\label{sec:details}
The data that are stored in the datbase are related to the detectors, the electronics, and the various stages of quality control that the components must pass before being qualified for use.

\subsection{Tables}
\label{subsec:details:tables}
\subsubsection{Component tables}
\begin{table}[!h]
  \begin{tabular}[!h]{r|l}
    Component & Description\\
    \hline
    \hline
    OptoHybrid & \\
    GEB        & \\
    VFAT       & \\
    GBTx       & \\
    AMC        & \\
    AMC13      & \\
    MCH        & \\
    FEAST      & \\
    VTRx       & \\
    VTTx       & \\
    \hline
  \end{tabular}
\end{table}

\subsubsection{Electronics component QC}
OptoHybrid boards and GEBs are initially tested at ULB.
Here they ensure that the OptoHybrid, composed of an FPGA, three GBTx ASICs, an SCA ASIC, three VTRx transciever modules, two VTTx transciever modules, is short free, the FPGA is able to be programmed, the GBTs are able to be minimally fused, and the transcievers are operating normally.

\subsubsection{QC7}
The QC7 procedure is done on a single detector, instrumented with electronics.
It is expected that when the detector is ready for QC7, the initial set of electronics components have been ``attached'' in the database.
During the processes, the cooling plate is attached, and finally the chimney is attached.
A set of tests is run during each stage, to diagnose any issues with the electronics.
Individual electronics components may be swapped or removed.

\subsubsection{QC8}
The QC8 procedure is done on a single superchamber.

\subsubsection{Installation}

\subsubsection{Commissioning}

\newpage

\section{Requirements}
\label{sec:requirements}

\subsection{Loaders}
\label{subsec:requirements:load}
Two modes of loading data into the database are expected:
\begin{itemize}
\item Manually uploading through a web-based GUI
\item Batch uploading through a CLI using XML templates specific to the table and data being loaded
\end{itemize}

\subsubsection{Web UI}
\label{subsec:requirements:load:webui}
The web-based GUI is designed to allow the various groups participating in the different steps of the production, quality control, installation, and commissioning to easily update various information stored in the database and associated with the chambers.

\subsubsection{\texttt{dbldr}}
\label{subsec:requirements:load:dbldr}
The \texttt{gemdbldr} is a dropbox style file watcher process, running in a look-area to watch for new files.
The files must be zipped, and the XML must be valid, corresponding to the table where the dataset is destined

\subsection{Extraction}
\label{subsec:requirements:extract}
Extraction is most important for configuration and visualization.

\subsection{Validation}
\label{subsec:requirements:validate}
Tools to ensure the validity of the data in the database, as well as the consistency of the data to be loaded are expected.

\subsection{Visualization}
\label{subsec:requirements:visuzlize}
Most of the visualization will be done with the CMS online monitoring system (OMS).
OMS was designed as the successor to the web-based monitoring (WBM).
OMS is a web-based technology, consisting of and API that queries a user-defined database endpoint to return table data in JSON form.
The JSON is then rendered into a view using ReactJS through custom, reusable, user-defined portlets.

\newpage

\section{Status}
\label{sec:status}

\end{document}
